NX Open C++ Reference Guide
|
Builder for flip component operation used in formboard. More...
Public Types | |
enum | AxisType { AxisTypePathLocations, AxisTypeCustom } |
Enum for the selection of axis type for flipping formboard component. More... | |
Public Member Functions | |
NXOpen::Formboard::FlipComponentBuilder::AxisType | AxisTypeEnum () |
Returns the user selected Formboard::FlipComponentBuilder::AxisType method Created in NX7.5.0. | |
NXOpen::SelectNXObject * | CompSel () |
Returns the formboard component selected by user for flipping operation Created in NX7.5.0. | |
std::vector< NXOpen::NXObject * > | CreateDatumAxis () |
Creates datums axis at locations where selected formboard component is connected to path. | |
NXOpen::Axis * | CustomAxis () |
Returns the custom axis which is created when Formboard::FlipComponentBuilder::AxisType is Formboard::FlipComponentBuilder::AxisTypeCustom. | |
void | FlipComponent () |
Flips the selected formboard component by rotation angle about selected axis. | |
void | InitializeFromComponent () |
Initializes or resets ( start or stop ) drag operation based on the component selected for flipping operation. | |
NXOpen::SelectNXObject * | PathAxisSel () |
Returns the axis selected by user about which selected formboard component will be flipped. | |
void | SetAxisTypeEnum (NXOpen::Formboard::FlipComponentBuilder::AxisType axisTypeEnum) |
Sets the user selected Formboard::FlipComponentBuilder::AxisType method Created in NX7.5.0. | |
void | SetCustomAxis (NXOpen::Axis *customAxis) |
Sets the custom axis which is created when Formboard::FlipComponentBuilder::AxisType is Formboard::FlipComponentBuilder::AxisTypeCustom. | |
void | SetRotationAngle (double angle) |
Set the angle to rotate the component. | |
void | StartDrag () |
Starts the drag operation of selected object. | |
void | StopDrag () |
Stop the drag operation of selected object. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Builder for flip component operation used in formboard.
Allows user to flip the component by 180 degrees about an axis which is orthogonal to Z axis so that after flipping , the component lies in XY plane. <br> To create a new instance of this class, use @link Formboard::FormboardManager::CreateFlipComponentBuilder Formboard::FormboardManager::CreateFlipComponentBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AxisTypeEnum |
PathLocations |
Created in NX7.5.0.
NXOpen::Formboard::FlipComponentBuilder::AxisType NXOpen::Formboard::FlipComponentBuilder::AxisTypeEnum | ( | ) |
Returns the user selected Formboard::FlipComponentBuilder::AxisType method
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
NXOpen::SelectNXObject* NXOpen::Formboard::FlipComponentBuilder::CompSel | ( | ) |
Returns the formboard component selected by user for flipping operation
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
std::vector<NXOpen::NXObject *> NXOpen::Formboard::FlipComponentBuilder::CreateDatumAxis | ( | ) |
Creates datums axis at locations where selected formboard component is connected to path.
@return
Created in NX4.0.0.
License requirements : routing_harness ("Routing Harness")
NXOpen::Axis* NXOpen::Formboard::FlipComponentBuilder::CustomAxis | ( | ) |
Returns the custom axis which is created when Formboard::FlipComponentBuilder::AxisType is Formboard::FlipComponentBuilder::AxisTypeCustom.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
void NXOpen::Formboard::FlipComponentBuilder::FlipComponent | ( | ) |
Flips the selected formboard component by rotation angle about selected axis.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
void NXOpen::Formboard::FlipComponentBuilder::InitializeFromComponent | ( | ) |
Initializes or resets ( start or stop ) drag operation based on the component selected for flipping operation.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
NXOpen::SelectNXObject* NXOpen::Formboard::FlipComponentBuilder::PathAxisSel | ( | ) |
Returns the axis selected by user about which selected formboard component will be flipped.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
void NXOpen::Formboard::FlipComponentBuilder::SetAxisTypeEnum | ( | NXOpen::Formboard::FlipComponentBuilder::AxisType | axisTypeEnum | ) |
Sets the user selected Formboard::FlipComponentBuilder::AxisType method
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
axisTypeEnum | axistypeenum |
void NXOpen::Formboard::FlipComponentBuilder::SetCustomAxis | ( | NXOpen::Axis * | customAxis | ) |
Sets the custom axis which is created when Formboard::FlipComponentBuilder::AxisType is Formboard::FlipComponentBuilder::AxisTypeCustom.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
customAxis | customaxis |
void NXOpen::Formboard::FlipComponentBuilder::SetRotationAngle | ( | double | angle | ) |
Set the angle to rotate the component.
Created in NX7.5.3.
License requirements : routing_harness ("Routing Harness")
angle | Rotation angle |
void NXOpen::Formboard::FlipComponentBuilder::StartDrag | ( | ) |
Starts the drag operation of selected object.
Does nothing if drag has already been started.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")
void NXOpen::Formboard::FlipComponentBuilder::StopDrag | ( | ) |
Stop the drag operation of selected object.
Does nothing if drag has not been started.
Created in NX7.5.0.
License requirements : routing_harness ("Routing Harness")